- Qt 6.7
- Qt Core
- C++ Classes
- const_iterator
- Qt 6.7.0 Reference Documentation

# Obsolete Members for const_iterator

The following members of class const_iterator are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated (6.2))` const_iterator & | operator+=(const_iterator::difference_type n)
`(deprecated (6.2))` const_iterator & | operator-=(const_iterator::difference_type n)

## Related Non-Members

`(deprecated (6.2))` const_iterator | operator+(const_iterator it, const_iterator::difference_type j)
`(deprecated (6.2))` const_iterator | operator+(const_iterator::difference_type j, const_iterator it)
`(deprecated (6.2))` const_iterator | operator-(const_iterator it, const_iterator::difference_type j)
`(deprecated (6.2))` const_iterator | operator-(const_iterator::difference_type j, const_iterator it)

## Member Function Documentation

### const_iterator &const_iterator::operator+=(const_iterator::difference_type n)

### const_iterator &const_iterator::operator-=(const_iterator::difference_type n)

### const_iterator operator+(const_iterator it, const_iterator::difference_type j)

### const_iterator operator+(const_iterator::difference_type j, const_iterator it)

### const_iterator operator-(const_iterator it, const_iterator::difference_type j)

### const_iterator operator-(const_iterator::difference_type j, const_iterator it)

This function is deprecated since 6.2. We strongly advise against using it in new code.

Use `std::next`, `std::prev` or `std::advance` instead.

Move an iterator by n positions. These operations can be expensive for large values of n. QMultiMap iterators are not random access.